> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Get FacilityGroup entities.

- Product: Facility groups
- Section: Facilities
- Snapshot: Current
- Method: `GET`
- Path: `/api/facility_groups/`

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.facilityGroups.list();
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/facility_groups/" \
    -H "X-Api-Key: $RECRANET_API_KEY"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
[
  {
    "id": 0,
    "type": "type",
    "name": "name",
    "locale": "locale",
    "facilityGroupSections": [
      {
        "id": 0,
        "type": "type",
        "name": "name",
        "locale": "locale",
        "facilitySpecifications": [
          {
            "id": 0,
            "type": "type",
            "name": "name",
            "locale": "locale"
          }
        ],
        "facilitySpaceSpecifications": [
          {
            "id": 0,
            "type": "type",
            "name": "name",
            "locale": "locale",
            "facilitySpaceEquipmentSpecifications": []
          }
        ],
        "position": 0
      }
    ],
    "position": 0
  }
]
```

##### Schema

###### FacilityGroup[]

Type: `FacilityGroup[]`  

###### FacilityGroup

Type: `FacilityGroup`  

###### `id`

Type: `number`  
Required: yes  

###### `type`

Type: `string`  
Required: yes  

###### `name`

Type: `string`  
Required: yes  

###### `position`

Type: `number`  
Required: no  

###### `locale`

Type: `string`  
Required: yes  

###### `facilityGroupSections`

Type: `FacilityGroupSection[]`  
Required: yes  

###### FacilityGroupSection

Type: `FacilityGroupSection`  

###### `id`

Type: `number`  
Required: yes  

###### `type`

Type: `string`  
Required: yes  

###### `name`

Type: `string`  
Required: yes  

###### `position`

Type: `number`  
Required: no  

###### `locale`

Type: `string`  
Required: yes  

###### `facilitySpecifications`

Type: `FacilitySpecification[]`  
Required: yes  

###### FacilitySpecification

Type: `FacilitySpecification`  

###### `id`

Type: `number`  
Required: yes  

###### `type`

Type: `string`  
Required: yes  

###### `name`

Type: `string`  
Required: yes  

###### `locale`

Type: `string`  
Required: yes  

###### `facilitySpaceSpecifications`

Type: `FacilitySpaceSpecification[]`  
Required: yes  

###### FacilitySpaceSpecification

Type: `FacilitySpaceSpecification`  

###### `id`

Type: `number`  
Required: yes  

###### `type`

Type: `string`  
Required: yes  

###### `name`

Type: `string`  
Required: yes  

###### `locale`

Type: `string`  
Required: yes  

###### `facilitySpaceEquipmentSpecifications`

Type: `FacilitySpaceEquipmentSpecification[]`  
Required: yes  

## Related representations

- [Human documentation](/facility-groups/methods/list/)
- [TypeScript Markdown](/facility-groups/methods/list.md?lang=typescript)
- [curl Markdown](/facility-groups/methods/list.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/facility-groups/llms.txt)
- [snapshot llms.txt](/facility-groups/llms.txt)
